- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WPXParser Class Referenceabstract

`#include <WPXParser.h>`

Inheritance diagram for WPXParser:

## Public Member Functions
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0
virtual void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface)=0

## Protected Member Functions
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Private Member Functions
| WPXParser (const WPXParser &)
WPXParser & | operator= (const WPXParser &)

## Private Attributes
librevenge::RVNGInputStream * | m_input
WPXHeader * | m_header
WPXEncryption * | m_encryption

## Constructor & Destructor Documentation

WPXParser::WPXParser | ( | librevenge::RVNGInputStream * | input,
|  | WPXHeader * | header,
|  | WPXEncryption * | encryption
| ) |  |

virtual WPXParser::~WPXParser | ( |  | ) |
| inline virtual

WPXParser::WPXParser | ( | const WPXParser & |  | ) |
| private

## Member Function Documentation

WPXEncryption* WPXParser::getEncryption | ( |  | ) |
| inline protected

Referenced by WP42Parser::parse(), WP5Parser::parse(), WP3Parser::parse(), WP1Parser::parse(), and WP6Parser::parse().

WPXHeader* WPXParser::getHeader | ( |  | ) |
| inline protected

Referenced by WP6Parser::getPrefixData(), WP3Parser::getResourceFork(), WP3Parser::parse(), WP5Parser::parse(), and WP6Parser::parse().

librevenge::RVNGInputStream* WPXParser::getInput | ( |  | ) |
| inline protected

Referenced by WP42Parser::parse(), WP3Parser::parse(), WP5Parser::parse(), WP6Parser::parse(), WP1Parser::parse(), WP42Parser::parseSubDocument(), WP3Parser::parseSubDocument(), WP5Parser::parseSubDocument(), WP6Parser::parseSubDocument(), and WP1Parser::parseSubDocument().

WPXParser& WPXParser::operator= | ( | const WPXParser & |  | ) |
| private

virtual void WPXParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

Implemented in WP1Parser, WP6Parser, WP3Parser, WP5Parser, and WP42Parser.

Referenced by libwpd::WPDocument::parse().

virtual void WPXParser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

Implemented in WP1Parser, WP6Parser, WP3Parser, WP5Parser, and WP42Parser.

Referenced by libwpd::WPDocument::parseSubDocument().

## Member Data Documentation

WPXEncryption* WPXParser::m_encryption
| private

Referenced by getEncryption().

WPXHeader* WPXParser::m_header
| private

Referenced by getHeader().

librevenge::RVNGInputStream* WPXParser::m_input
| private

Referenced by getInput().

The documentation for this class was generated from the following files:

- WPXParser.h
- WPXParser.cpp